#pragma once

struct kbbassmidi_Settings
{
    int nSampleRate;
    wchar_t szSoundFont[2048/*MAX_PATH*/];//| で区切って複数指定出来るので大きめにする
};

class IKpiConfig;
class IKpiConfigEnumerator;

BOOL  __fastcall kbbassmidi_EnumConfig(IKpiConfig *pConfig, IKpiConfigEnumerator *pEnumerator);
DWORD __fastcall kbbassmidi_ApplyConfig(IKpiConfig *pConfig,
                              const wchar_t *cszSection, //セクション名
                              const wchar_t *cszKey, //キー名
                              INT64  nValue, //変更後の値(BOOL/INT の場合)
                              double dValue, //変更後の値(FLOAT の場合)
                              const wchar_t *cszValue);//変更後の値(文字列)
void __fastcall kbbassmidi_GetSettings(IKpiConfig *pConfig, kbbassmidi_Settings *pSettings);
void __fastcall kbbassmidi_GetVstiPath(IKpiConfig *pConfig, wchar_t *pszPath, int nSize);//nSize は文字数単位
void __fastcall kbbassmidi_GetEditorPos(IKpiConfig *pConfig, int *pPosX, int *pPosY);
void __fastcall kbbassmidi_SaveEditorPos(IKpiConfig *pConfig, int nPosX, int nPosY);